%define upstream_name    RDF-Trine
%define upstream_version 1.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Framework to parse, serialize and store RDF
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Combinatorics)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Connector)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Negotiate)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Module::Load::Conditional)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::ArrayRef)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::CSV)
BuildRequires: perl(Text::Table)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(XML::CommonNS)
BuildRequires: perl(XML::Namespace)
BuildRequires: perl(XML::SAX)
BuildArch: noarch

%description
RDF::Trine provides an Resource Descriptive Framework (RDF) with an
emphasis on extensibility, API stability, and the presence of a test suite.
The package consists of several components:

* * RDF::Trine::Model - RDF model providing access to a triple store. This
  module would typically be used to access an existing store by a developer
  looking to "Just get stuff done."

* * RDF::Trine::Parser - RDF parsers for various serialization formats
  including RDF/XML, Turtle, RDFa, and RDF/JSON.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/srx2csv
/usr/bin/srx2table



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 372181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 1.3.0-1.mga3
+ Revision: 334222
- imported package perl-RDF-Trine

